PhotoGPT Developers

Create a video download

GET
/videos/{videoID}/create-download

Requests preparation of a downloadable file for a private video owned by the authenticated user or an approved public media video.

Authorization

BearerAuth
AuthorizationBearer <token>

Developer API key. Send as Authorization: Bearer <api_key>.

In: header

Path Parameters

videoID*string

Video ID or public media ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/videos/string/create-download"
{  "result": "string",  "status": "OK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}